repo/gentoo:master commit in: games-fps/ut2004-data/

"James Le Cuirot" <[email protected]> Mon, 03 Aug 2026 22:29:15 +0000 (UTC)
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1785796114.e08eba179768b276aefe351ba13e523ba7eb819a.chewi@gentoo>
commit:     e08eba179768b276aefe351ba13e523ba7eb819a
Author:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
AuthorDate: Mon Aug  3 13:58:11 2026 +0000
Commit:     James Le Cuirot <chewi <AT> gentoo <DOT> org>
CommitDate: Mon Aug  3 22:28:34 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e08eba17

games-fps/ut2004-data: Decompress resources in parallel

Signed-off-by: James Le Cuirot <chewi <AT> gentoo.org>

 games-fps/ut2004-data/ut2004-data-3369.ebuild | 26 +++++++++++++++-----------
 1 file changed, 15 insertions(+), 11 deletions(-)

diff --git a/games-fps/ut2004-data/ut2004-data-3369.ebuild b/games-fps/ut2004-data/ut2004-data-3369.ebuild
index a7dd31e91103..91590aa4cde9 100644
--- a/games-fps/ut2004-data/ut2004-data-3369.ebuild
+++ b/games-fps/ut2004-data/ut2004-data-3369.ebuild
@@ -4,7 +4,7 @@
 EAPI=8
 
 CDROM_OPTIONAL="yes"
-inherit cdrom check-reqs portability
+inherit cdrom check-reqs multiprocessing portability
 
 DESCRIPTION="Data files for Unreal Tournament 2004"
 HOMEPAGE="https://liandri.beyondunreal.com/Unreal_Tournament_2004"
@@ -180,17 +180,21 @@ src_unpack() {
 			;;
 	esac
 
-	# Some disks compress most of the files. The engine has the decompresser.
-	# Annoyingly, it logs to the engine's directory.
-	addpredict "${BROOT}"/opt/ut2004
-	find -name "*.uz2" -exec ut2004-ucc decompress "${PWD}"/{} -nohomedir \; -delete || die
-
-	# Install the Mega Pack where necessary for parity between different
-	# installation sources. This includes the ECE content but *not* the XP Bonus
-	# Maps (ONS-Aridoom and ONS-Ascendancy). The latter were never released as
-	# part of the game and OldUnreal does not include them in its installation.
 	case ${CDROM_SET} in
-		3|4|5) tar --strip-components=1 -jxvf "${DISTDIR}"/ut2004megapack-linux.tar.bz2 || die ;;
+		3|4|5)
+			# Some disks compress most of the files. The engine has the
+			# decompresser. Annoyingly, it logs to the engine's directory.
+			addpredict "${BROOT}"/opt/ut2004
+			ls */*.uz2 | xargs -P "$(get_makeopts_jobs)" -ti ut2004-ucc decompress "${PWD}"/{} -nohomedir >/dev/null || die
+			rm -v */*.uz2 || die
+
+			# Install the Mega Pack where necessary for parity between different
+			# installation sources. This includes the ECE content but *not* the
+			# XP Bonus Maps (ONS-Aridoom and ONS-Ascendancy). The latter were
+			# never released as part of the game and OldUnreal does not include
+			# them in its installation.
+			tar --strip-components=1 -jxvf "${DISTDIR}"/ut2004megapack-linux.tar.bz2 || die
+		;;
 	esac
 }